Skip to Content
0

Hybrid Application Toolkit 1.22.02

Dec 21, 2016 at 03:05 PM

142

avatar image

Hi,

I work with the HAT since HAT version 1.17.2. But this problem I haven't before. I installed the latest HAT version 1.22.2. The HAT worked very fine on my computer. Overnight, I got the error code 1. I started the setup again and got this error:

The build script exited unexpectedly!


							Dependent plugin "cordova-plugin-device" already installed on android.
Dependent plugin "kapsel-plugin-inappbrowser" already installed on android.
Dependent plugin "kapsel-plugin-i18n" already installed on android.
Dependent plugin "cordova-plugin-dialogs" already installed on android.
Installing "kapsel-plugin-voicerecording" for android
Dependent plugin "kapsel-plugin-encryptedstorage" already installed on android.
Dependent plugin "kapsel-plugin-i18n" already installed on android.
Fetching plugin "cordova-plugin-file" via npm
Installing "cordova-plugin-file" for android
Fetching plugin "cordova-plugin-compat" via npm
Installing "cordova-plugin-compat" for android

The Android Persistent storage location now defaults to "Internal". Please check this plugin's README to see if your application needs any changes in its config.xml.

If this is a new application no changes are required.

If this is an update to an existing application that did not specify an "AndroidPersistentFileLocation" you may need to add:

      "<preference name="AndroidPersistentFileLocation" value="Compatibility" />"

to config.xml in order for the application to find previously stored files.
        
Fetching plugin "cordova-plugin-screen-orientation" via npm
Installing "cordova-plugin-screen-orientation" for android
Plugin "cordova-plugin-device" already installed on android. Making it top-level.
Plugin "cordova-plugin-file" already installed on android. Making it top-level.
Fetching plugin "cordova-plugin-network-information" via npm
Installing "cordova-plugin-network-information" for android
Fetching plugin "cordova-plugin-battery-status" via npm
Installing "cordova-plugin-battery-status" for android
Fetching plugin "cordova-plugin-device-motion" via npm
Installing "cordova-plugin-device-motion" for android
Fetching plugin "cordova-plugin-device-orientation" via npm
Installing "cordova-plugin-device-orientation" for android
Fetching plugin "cordova-plugin-geolocation" via npm
Installing "cordova-plugin-geolocation" for android
Dependent plugin "cordova-plugin-compat" already installed on android.
Fetching plugin "cordova-plugin-camera" via npm
Installing "cordova-plugin-camera" for android
Dependent plugin "cordova-plugin-compat" already installed on android.
Fetching plugin "cordova-plugin-media" via npm
Installing "cordova-plugin-media" for android
Dependent plugin "cordova-plugin-file" already installed on android.
Dependent plugin "cordova-plugin-compat" already installed on android.
Fetching plugin "cordova-plugin-media-capture" via npm
Installing "cordova-plugin-media-capture" for android
Dependent plugin "cordova-plugin-file" already installed on android.
Dependent plugin "cordova-plugin-compat" already installed on android.
Fetching plugin "cordova-plugin-file-transfer" via npm
Installing "cordova-plugin-file-transfer" for android
Dependent plugin "cordova-plugin-file" already installed on android.
Plugin "cordova-plugin-dialogs" already installed on android. Making it top-level.
Fetching plugin "cordova-plugin-vibration" via npm
Installing "cordova-plugin-vibration" for android
Fetching plugin "cordova-plugin-contacts" via npm
Installing "cordova-plugin-contacts" for android
Dependent plugin "cordova-plugin-compat" already installed on android.
Fetching plugin "cordova-plugin-globalization" via npm
Installing "cordova-plugin-globalization" for android
Fetching plugin "cordova-plugin-splashscreen@3.0.0" via npm
Installing "cordova-plugin-splashscreen" for android
Fetching plugin "cordova-plugin-console" via npm
Installing "cordova-plugin-console" for android
Fetching plugin "cordova-plugin-privacyscreen" via npm
Installing "cordova-plugin-privacyscreen" for android
Adding custom plugins...

Copying assets
Preparing...

ANDROID_HOME=C:\Android\sdk
JAVA_HOME=C:\Program Files (x86)\Java\jdk1.8.0_101

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring root project 'android'.
> Could not resolve all dependencies for configuration ':_debugCompile'.
   > Could not find any version that matches com.android.support:support-v4:24.1.1+.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/support-v4/maven-metadata.xml
         https://repo1.maven.org/maven2/com/android/support/support-v4/
         file:/C:/SAP_HAT_local-1.22.2/WebIdeCompanion/companionapp/CompanionApp/platforms/android/libs/
         https://jcenter.bintray.com/com/android/support/support-v4/maven-metadata.xml
         https://jcenter.bintray.com/com/android/support/support-v4/
         file:/C:/Android/sdk/extras/android/m2repository/com/android/support/support-v4/maven-metadata.xml
         file:/C:/Android/sdk/extras/google/m2repository/com/android/support/support-v4/maven-metadata.xml
         file:/C:/Android/sdk/extras/google/m2repository/com/android/support/support-v4/
     Required by:
         :android:unspecified

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 5.174 secs
Error: Error code 1 for command: cmd with args: /s,/c,"C:\SAP_HAT_local-1.22.2\WebIdeCompanion\companionapp\CompanionApp\platforms\android\gradlew cdvBuildDebug -b C:\SAP_HAT_local-1.22.2\WebIdeCompanion\companionapp\CompanionApp\platforms\android\build.gradle -Dorg.gradle.daemon=true -Pandroid.useDeprecatedNdk=true"

The build process for android exited unexpectedly!
Das System kann den angegebenen Pfad nicht finden.
cmd error 
The node process of the build script exited with code 1.


Then I looked on https://blogs.sap.com/2015/07/13/how-to-install-hybrid-application-toolkit-hat-on-windows-part-3-of-3/. Navin Mittal had probably the same problem like me.

So I did the steps from Simmaco Ferriero:

1) go inside the folder “C:\SAP\SAP_HAT\WebIdeCompanion\companionapp”

2) Delete completely the subfolder “CompanionApp”

3) Open the Windows Command Prompt and navigate to the folder “C:\SAP\SAP_HAT\WebIdeCompanion\companionapp”

4) Here run the command “node create_companion_app.js”

I did these steps and got this error:

It’s exactly the same error as you find during the setting up process. It’s not an isolated problem, since a work colleague has encountered the very same problem. Two weeks ago there was no issue with the HAT, but now it isn’t working anymore, even though there were no changes since then.

We use the SAP HAT version 1.22.2
cordova 6.1.1
kapsel version 3.1.1
node 5.4.1
npm 3.3.12

Could you please help us figure out what is happening?

Best Regards,
Kevin

unbenannt.jpg (140.4 kB)
10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

4 Answers

Jamie Cawley
Jan 03, 2017 at 04:48 PM
0

Did you update the android sdk platforms? Also update your android sdk build tools.

Regards,

Jamie

SAP - Technology RIG

Share
10 |10000 characters needed characters left characters exceeded
Roberto Brasil Jan 05, 2017 at 06:15 PM
0

Hi,

I have the same problem.

I update the android sdk platforms and android sdk build tools.

Has anyone got a solution yet?

Regards,

Roberto Brasil

Share
10 |10000 characters needed characters left characters exceeded
Kevin Kussyk Jan 19, 2017 at 08:49 AM
0

Hi,

For running an app, please check the Hybrid app configuration in project setting, currently, Cordova Camera plugin and Kapsel Logger plugin cannot be selected at the same time. he workaround for this is that you can download 2.3.0 version of Cordova Camera plugin to your local and consume it through HAT custom plugin feature.

Your companion app issue could be caused by the latest version(2.3.1) of Cordova Camera plugin, you can use the following way to revert to previous version(2.3.0) of Camera plugin to tr y to resolve this issue.

xxx\SAP_HAT_local-1.22.2\WebIdeCompanion\companionapp\pluginlist.json

"cordovah5": [

"cordova-plugin-device",

"cordova-plugin-file",

"cordova-plugin-network-information",

"cordova-plugin-battery-status",

"cordova-plugin-device-motion",

"cordova-plugin-device-orientation",

"cordova-plugin-geolocation",

"cordova-plugin-camera@2.3.0",

Regards,

Kevin

Share
10 |10000 characters needed characters left characters exceeded
Roberto Brasil Jan 25, 2017 at 01:42 PM
0

Hi Kevin,

Thank you for your answer.

It's working now.

Regards,

Roberto

Share
10 |10000 characters needed characters left characters exceeded